"use strict";

const url = require("url");
const { validateOptions, required, isString } = require("validatem");

module.exports = function postgresqlSocketUrl({ socketPath, database } = {}) {
	validateOptions(arguments, {
		socketPath: [ required, isString ],
		database: [ required, isString ]
	});

	return url.format({
		protocol: "socket",
		slashes: false,
		pathname: socketPath,
		query: {
			db: database
		}
	});
};
